<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('sy_zones_report_details', function (Blueprint $blueprint) {
            $blueprint->id();
            $blueprint->unsignedBigInteger('fk_zone_report');
            $blueprint->unsignedBigInteger('fk_group');
            $blueprint->double('delivery')->default(0);
            $blueprint->double('failure')->default(0);
            $blueprint->double('subtotal')->default(0);
            $blueprint->double('recovered')->default(0);
            $blueprint->double('total')->default(0);
            $blueprint->double('sales')->default(0);
            $blueprint->double('commissionpercent')->default(0);
            $blueprint->double('commission')->default(0);
            $blueprint->double('incoming')->default(0);
            $blueprint->double('outgoing')->default(0);
            $blueprint->double('extraweek')->default(0);
            $blueprint->double('bills')->default(0);
            $blueprint->double('fund')->default(0);
            $blueprint->string('comments')->nullable();
            $blueprint->boolean('visible')->default(true);
            $blueprint->boolean('available')->default(true);
            $blueprint->unsignedBigInteger('fk_usercreator')->nullable();
            $blueprint->timestamp('created_at')->useCurrent();
            $blueprint->unsignedBigInteger('fk_userupdater')->nullable();
            $blueprint->timestamp('updated_at')->useCurrentOnUpdate()->nullable();
            $blueprint->boolean('is_active')->default(true);

            $blueprint->foreign('fk_zone_report')->references('id')->on('sy_zones_report');
            $blueprint->foreign('fk_group')->references('id')->on('sy_groups');
            $blueprint->foreign('fk_usercreator')->references('id')->on('sc_users');
            $blueprint->foreign('fk_userupdater')->references('id')->on('sc_users');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('sy_zones_report_details');
    }
};
